Package org.apache.catalina.loader

## Class WebappClassLoaderBase.PrivilegedJavaseGetResource

- java.lang.Object
- - org.apache.catalina.loader.WebappClassLoaderBase.PrivilegedJavaseGetResource

All Implemented Interfaces:
  `java.security.PrivilegedAction<java.net.URL>`

Enclosing class:
  WebappClassLoaderBase

    protected final class WebappClassLoaderBase.PrivilegedJavaseGetResource
    extends java.lang.Object
    implements java.security.PrivilegedAction<java.net.URL>

### Constructor Summary

Constructors
`PrivilegedJavaseGetResource​(java.lang.String name)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.net.URL` `run()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PrivilegedJavaseGetResource

    public PrivilegedJavaseGetResource​(java.lang.String name)

### Method Detail

#### run

    public java.net.URL run()

Specified by:
  `run` in interface `java.security.PrivilegedAction<java.net.URL>`